Package org.springframework.batch.item.support.builder

# Class CompositeItemProcessorBuilder<I,O>

java.lang.Object
org.springframework.batch.item.support.builder.CompositeItemProcessorBuilder<I,O>

public class CompositeItemProcessorBuilder<I,O> extends Object
Creates a fully qualified `CompositeItemProcessorBuilder`.

Since:
  4.0
Author:
  Glenn Renfro, Drummond Dawson

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositeItemProcessorBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompositeItemProcessor<I,O>`
  `build()`
  Returns a fully constructed `CompositeItemProcessor`.
  `CompositeItemProcessorBuilder<I,O>`
  `delegates(List<? extends ItemProcessor<?,?>> delegates)`
  Establishes the `ItemProcessor` delegates that will work on the item to be processed.
  `CompositeItemProcessorBuilder<I,O>`
  `delegates(ItemProcessor<?,?>... delegates)`
  Establishes the `ItemProcessor` delegates that will work on the item to be processed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompositeItemProcessorBuilder

    public CompositeItemProcessorBuilder()

- ## Method Details

  - ### delegates

    public CompositeItemProcessorBuilder<I,O> delegates(List<? extends ItemProcessor<?,?>> delegates)
    Establishes the `ItemProcessor` delegates that will work on the item to be processed.
    Parameters:
      `delegates` - list of `ItemProcessor` delegates that will work on the item.
    Returns:
      this instance for method chaining.
    See Also:
      - `CompositeItemProcessor.setDelegates(List)`

  - ### delegates

    public CompositeItemProcessorBuilder<I,O> delegates(ItemProcessor<?,?>... delegates)
    Establishes the `ItemProcessor` delegates that will work on the item to be processed.
    Parameters:
      `delegates` - the `ItemProcessor` delegates that will work on the item.
    Returns:
      this instance for method chaining.
    See Also:
      - `delegates(List)`

  - ### build

    public CompositeItemProcessor<I,O> build()
    Returns a fully constructed `CompositeItemProcessor`.
    Returns:
      a new `CompositeItemProcessor`